From e72887901edb91e784db6f86e3930a2c3b7c4639 Mon Sep 17 00:00:00 2001
From: Mario Iseli <admin@marioiseli.com>
Date: Sat, 2 Sep 2006 21:56:22 +0200
Subject: direct upstream changes in yudit_2.8.1-1.diff.gz

(without any changes coming from ./configure)
---
 swidget/SIconFactory.cpp |    2 +-
 yudit.properties.in      |    7 +++++--
 2 files changed, 6 insertions(+), 3 deletions(-)

diff --git a/swidget/SIconFactory.cpp b/swidget/SIconFactory.cpp
index 4c2c697..6f5d5b8 100644
--- a/swidget/SIconFactory.cpp
+++ b/swidget/SIconFactory.cpp
@@ -70,7 +70,7 @@
 #include "icons/SS_LR_XPM.xpm"
 #include "icons/SS_Yudit_XPM.xpm"
 
-struct _icon_map {
+static struct _icon_map {
   const char*  name;
   char** icon;
 } icon_map[] = {
diff --git a/yudit.properties.in b/yudit.properties.in
index 620e1bc..8bc4d7e 100644
--- a/yudit.properties.in
+++ b/yudit.properties.in
@@ -36,7 +36,7 @@ yudit.datapath=@YUDIT_DATA@/data
 #
 # This is where the .ttf (True Type font) files are
 #
-yudit.fontpath=@YUDIT_DATA@/fonts,/usr/share/yudit/data
+yudit.fontpath=@YUDIT_DATA@/fonts,/usr/share/yudit/data,/usr/share/fonts/truetype/freefont,/usr/share/fonts/truetype/msttcorefonts
 
 # The overall background.
 
@@ -223,7 +223,7 @@ yudit.editor.xinputs=interxim,utf-8:en_GB,utf-8:hu_HU,kinput2:ja_JP.eucJP,xcin:z
 yudit.editor.xinputs.style=preedit-over-status-under
 
 yudit.editor.fontsize=18
-yudit.editor.font=default
+yudit.editor.font=Misc
 yudit.editor.input=straight
 
 yudit.fonts=default,TrueType,Bitmap,Japanese,Courier,Times,Helvetica,Lucida,Misc
@@ -391,3 +391,6 @@ yudit.command.fontsize=18
 #
 yudit.font.Box=unifont.hex,-misc-fixed-medium-r-*--18-120-100-100-c-90-iso10646-1
 
+
+# added for debian
+yudit.font.Freefont=FreeSans.ttf,FreeSerif.ttf,FreeMono.ttf
